Summary: Password checking library
Name: cracklib
Version: 2.5
Release: 2
Group: Development/Libraries
Source: coast.cs.purdue.edu:/pub/tools/unix/cracklib/cracklib25_small.tar.Z
Copyright: Freely distributable
Patch: cracklib-redhat.patch

%description
Checks passwords for security - length, uniqueness, etc.

%package dicts
Summary:
Group: Utilities/System

%description dicts
Includes the cracklib dictionaries for the standard /usr/dict/words, as
well as utilities needed to create new dictionaries.

%changelog

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup -n cracklib25_small
%patch -p1

%build
make all

%install
make install
install -m755 util/mkdict /usr/sbin/mkdict
install -m755 util/packer /usr/sbin/packer
cat > /usr/include/crack.h <<EOF
#ifndef CRACKLIB_H
#define CRACKLIB_H
/* Pass this function a password (pw) and a path to the
 * dictionaries (/usr/lib/cracklib_dict should be specified)
 * and it will either return a NULL string, meaning that the
 * password is good, or a pointer to a string that explains the
 * problem with the password.
 * You must link with -lcrack
 * See the README for details.
 */
extern char *FascistCheck(char *pw, char *dictpath);
#endif
EOF
chmod 644 /usr/include/crack.h
install -m644 cracklib/libcrack.a /usr/lib/libcrack.a
cat <<EOF >/usr/sbin/create-cracklib-dict
#!/bin/sh
if [ -z "$*" ]; then
	echo "Usage:"
	echo "  /usr/sbin/create-cracklib-dict wordlist ..."
	echo
	echo "This script takes one or more word list files as arguments"
	echo "and converts them into cracklib dictionaries for use"
	echo "by password checking programs. The results are placed in"
	echo "/usr/lib/cracklib_dict.*"
	echo
	echo "Example:"
	echo "/usr/sbin/create-cracklib-dict /usr/dict/words"
else
	/usr/sbin/mkdict $* | /usr/sbin/packer /usr/lib/cracklib_dict
fi
EOF
chmod 755 /usr/sbin/create-cracklib-dict
%files
%doc README MANIFEST LICENCE HISTORY POSTER
/usr/include/crack.h
/usr/lib/libcrack.a
%files dicts
/usr/sbin/mkdict
/usr/lib/cracklib_dict*
/usr/sbin/packer
/usr/sbin/create-cracklib-dict
